"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostalCodeFind = void 0;
const _Constants_1 = require("@Constants");
const _Parser_1 = require("@Parser");
/**
 * get postalCode and check it if valid return province and city of postalCode
 * @param code string
 * @returns
 */
const PostalCodeFind = (code) => {
    code = (0, _Parser_1.Fa_To_En)(code.slice(0, 5));
    if (code) {
        const postFiltered = _Constants_1.postalCodes === null || _Constants_1.postalCodes === void 0 ? void 0 : _Constants_1.postalCodes.find(item => ((0, _Parser_1.Fa_To_En)(item.from) <= code && code <= (0, _Parser_1.Fa_To_En)(item.to)));
        if (postFiltered) {
            return { province: postFiltered.province, city: postFiltered.city };
        }
    }
    return;
};
exports.PostalCodeFind = PostalCodeFind;
