"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Validation_1 = require("@Validation");
const globals_1 = require("@jest/globals");
(0, globals_1.describe)("Card", () => {
    (0, globals_1.test)("Card is Valid", () => {
        (0, globals_1.expect)((0, _Validation_1.CheckCardNumber)("6037 9918 3333 4444")).toBeTruthy();
        (0, globals_1.expect)((0, _Validation_1.CheckCardNumber)("5859831133334444")).toBeTruthy();
        (0, globals_1.expect)((0, _Validation_1.CheckCardNumber)("5022-2910-3333-4444")).toBeTruthy();
    });
    (0, globals_1.test)("Bank Card name", () => {
        (0, globals_1.expect)((0, _Validation_1.CardBank)("5022293345678976")).toStrictEqual("پاسارگاد");
    });
});
