"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardBank = void 0;
const _Constants_1 = require("@Constants");
const checkCardNumber_1 = require("./checkCardNumber");
/**
 * get card number and check if is valid
 * @param CardNumber
 * @returns boolean
 */
const CardBank = (CardNumber) => {
    if ((0, checkCardNumber_1.CheckCardNumber)(CardNumber)) {
        CardNumber = CardNumber.slice(0, 6);
        const bankName = _Constants_1.banks.find((item) => item.id === +CardNumber);
        return bankName === null || bankName === void 0 ? void 0 : bankName.name;
    }
    return;
};
exports.CardBank = CardBank;
