"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdNumberFind = void 0;
const _Constants_1 = require("@Constants");
const _Parser_1 = require("@Parser");
/**
 * get idNumber and check it if true return province and city
 * @param id
 * @returns object : { province: "", city: "" }
 */
const IdNumberFind = (id) => {
    id = (0, _Parser_1.Fa_To_En)(id.slice(0, 3));
    const findCity = _Constants_1.idNumbersByCity.find((item) => item.from === id || item.to === id);
    if (findCity) {
        return { province: findCity.province, city: findCity.city };
    }
    return;
};
exports.IdNumberFind = IdNumberFind;
